CGAL 6.2 - 2D Periodic Triangulations: Draw a 2D Periodic Triangulation

CGAL 6.2 - 2D Periodic Triangulations

Loading...
Searching...
No Matches
Classes | Functions
Draw a 2D Periodic Triangulation
Reference Manual

##

Draw.

`#include<CGAL/draw_periodic_2_triangulation_2.h>`

## Classes
struct | CGAL::Graphics_scene_options_periodic_2_triangulation_2< DS, VertexDescriptor, EdgeDescriptor, FaceDescriptor >
| The class `Graphics_scene_options_periodic_2_triangulation_2` defines data and methods used to tune the way that the cells of a `Periodic_2_triangulation_2` are considered for drawing or to be added into a graphics scene. More...

## Functions
template<class P2T2 , class GSOptions >
void | CGAL::draw (const P2T2 &p2t2, const GSOptions &gso)
| opens a new window and draws a periodic 2D triangulation.
template<class P2T2 >
void | CGAL::draw (const P2T2 &p2t2)
| A shortcut to `CGAL::draw(p2t2, Graphics_scene_options_periodic_2_triangulation_2{})`.
template<class P2T2 , class GSOptions >
void | CGAL::add_to_graphics_scene (const P2T2 &p2t2, CGAL::Graphics_scene &gs, const GSOptions &gso)
| adds the vertices, edges and faces of `p2t2` into the given graphic scene `gs`.
template<class P2T2 >
void | CGAL::add_to_graphics_scene (const P2T2 &p2t2, CGAL::Graphics_scene &gs)
| A shortcut to `CGAL::add_to_graphics_scene(p2t2, gs, Graphics_scene_options_periodic_2_triangulation_2{})`.

## Function Documentation

## ◆ add_to_graphics_scene()

template<class P2T2 , class GSOptions >

void CGAL::add_to_graphics_scene | ( | const P2T2 & | p2t2,
|  | CGAL::Graphics_scene & | gs,
|  | const GSOptions & | gso
| ) |  |

`#include <CGAL/draw_periodic_2_triangulation_2.h>`

adds the vertices, edges and faces of `p2t2` into the given graphic scene `gs`.

Parameters of the cells are taken from the optional graphics scene options parameter `gso`. Note that `gs` is not cleared before being filled (to enable to draw several data structures in the same basic viewer).

Template Parameters

  P2T2 | which must be an instantiation of a `CGAL::Periodic_2_triangulation_2<...>`.
  GSOptions | a model of `GraphicsSceneOptionsPeriodic2Triangulation2` concept.

Parameters

  p2t2 | the periodic triangulation to draw.
  gs | the graphic scene to fill.
  gso | the graphics scene options parameter.

Advanced

The real declaration of this function template is:

`template<class Gt, class Tds, class GSOptions>`

`void CGAL::add_to_graphics_scene(const CGAL::Periodic_2_triangulation_2<Gt, Tds>& p2t2, CGAL::Graphics_scene& gs, const GSOptions& gso);`

## ◆ draw()

template<class P2T2 , class GSOptions >

void CGAL::draw | ( | const P2T2 & | p2t2,
|  | const GSOptions & | gso
| ) |  |

`#include <CGAL/draw_periodic_2_triangulation_2.h>`

opens a new window and draws a periodic 2D triangulation.

Parameters of the drawing are taken from the optional graphics scene options parameter.

A call to this function blocks the execution of the program until the drawing window is closed. This function requires `CGAL_Qt6`, and is only available if the macro `CGAL_USE_BASIC_VIEWER` is defined. Linking with the cmake target `CGAL::CGAL_Basic_viewer` will link with `CGAL_Qt6` and add the definition `CGAL_USE_BASIC_VIEWER`.

Template Parameters

  P2T2 | which must be an instantiation of a `CGAL::Periodic_2_triangulation_2<...>`.
  GSOptions | a model of `GraphicsSceneOptionsPeriodic2Triangulation2` concept.

Parameters

  p2t2 | the periodic triangulation to draw.
  gso | the graphics scene options parameter.

Advanced

The real declaration of this function template is:

`template<class Gt, class Tds, class GSOptions>`

`void CGAL::draw(const CGAL::Periodic_2_triangulation_2<Gt, Tds>& p2t2, const GSOptions& gso);`